%global momorel 5

Summary: HTML-TableExtract module for perl (SOURCES)
Name: perl-HTML-TableExtract
Version: 2.10
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/HTML/HTML-TableExtract-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/HTML/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 5.8.1
BuildPreReq: perl-HTML-Parser
BuildArchitectures: noarch

%description
HTML-TableExtract module for perl

%prep
%setup -q -n HTML-TableExtract-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/HTML-TableExtract/.packlist

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > HTML-TableExtract-%{version}-filelist
if [ "$(cat HTML-TableExtract-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f HTML-TableExtract-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.10-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.10-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.10-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.10-2m)
- use vendor

* Sat Jul 29 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.10-1m)
- update to 2.10

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.09-1m)
- update to 2.09

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.08-1m)
- update to 2.08

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.06-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (2.06-1m)
- update to 2.06

* Thu Oct 20 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.10-2m)
- add BuildPreReq: perl-HTML-Parser

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.10-1m)
- version up to 1.10
- built against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.08-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.08-2m)
- remove Epoch from BuildPrereq

* Wed May 26 2004 Toru Hoshina <t@momonga-linux.org>
- (1.08-1m)
- spec file was autogenerated
